Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235321 - LSPP: audit DAEMON_CONFIG record truncated
Summary: LSPP: audit DAEMON_CONFIG record truncated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 02:53 UTC by Linda Knippers
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0602
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:03:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0602 normal SHIPPED_LIVE audit bug fix and enhancement update 2007-10-30 15:35:36 UTC

Description Linda Knippers 2007-04-05 02:53:33 UTC
Description of problem:
The buffer used to construct the DAEMON_CONFIG isn't big enough
for some lspp subject contexts, causing the results to be truncated.

Version-Release number of selected component (if applicable):
audit-1.3.1-3.el5

How reproducible:
very

Steps to Reproduce:
1.On an lspp system, have a context that's fairly long (could be lots of
compartments, for example)
2.do some audit management
3.
  
Actual results:
type=DAEMON_CONFIG msg=audit(1175743730.429:9233) config changed, auid=500
pid=15992 subj=staff_u:lspp_test_r:lspp_harness_t:s0-s15:c0.c1023 res=succe
type=DAEMON_CONFIG msg=audit(1175727102.355:3465) config changed, auid=500
pid=3100 subj=staff_u:lspp_test_r:lspp_harness_t:s0-s15:c0.c1023 res=succes


Expected results:
The full record should appear, including the res=success

Additional info:
The buffer used for these messages in auditd-event.c is only 128 bytes.

Comment 1 RHEL Product and Program Management 2007-04-05 12:43:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Grubb 2007-04-09 14:34:41 UTC
Revised test case for targeted.

As root:
1) setenforce 0
2) runcon -l s0:c0,c2,c4,c6,c8,c10,c12,c14,c16,c18,c20,c22,c24,c26,c28,c30 sh
3) killall -HUP auditd
4) ausearch --start recent -m DAEMON_CONFIG

record will be truncated.

Comment 5 Steve Grubb 2007-04-10 19:35:28 UTC
built audit-1.3.1-4 to address this issue.

Comment 6 Linda Knippers 2007-04-11 16:42:54 UTC
I upgraded to audit-1.3.1-4.el5 and now I see the full DAEMON_CONFIG
audit record.  Thanks.

Comment 10 errata-xmlrpc 2007-11-07 17:03:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0602.html



Note You need to log in before you can comment on or make changes to this bug.